Skip to content

List cards for a profile

Request

Returns a paginated list of cards that belong to a specific profile.

Security
UserToken
Path
profileIdinteger, (int64)required

The ID of the profile to retrieve cards for.

Example:123456
Query
pageSizeinteger, (int64), [ 10 .. 100 ]

The maximum number of cards to return per page. Must be between 10 and 100.

Default:10
Example:pageSize=10
pageNumberinteger, (int64), >= 1

The page number to retrieve. Must be greater than or equal to 1.

Default:1
Example:pageNumber=1
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/2026Q3/spend/profiles/123456/cards?pageSize=10&pageNumber=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

List of cards retrieved successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
cardsArray of objects

Collection of cards for this profile.

totalCountinteger, (int64)

The total number of cards for this profile.

Example:1
Response
{ "cards": [ { "token": "ca0c8154-1e14-4464-a1ce-dcea7dc3de52", "profileId": 123456, "clientId": "wise_api_docs", "status": {}, "cardHolderName": "John Smith", "expiryDate": "2028-05-31T00:00:00Z", "lastFourDigits": "6320", "bankIdentificationNumber": "459661", "phoneNumber": "+441234567890", "cardProgram": {}, "unlockSpendingPermissions": "WITH_PARTNER_API", "creationTime": "2022-05-31T01:43:24.596321434Z", "modificationTime": "2022-05-31T01:43:24.596321825Z" } ], "totalCount": 1 }